org.eclipse.oomph.setup.impl

## Class TextModifyTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.impl.TextModifyTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, SetupTask, TextModifyTask

      public class TextModifyTaskImpl
      extends SetupTaskImpl
      implements TextModifyTask

  An implementation of the model object 'Text Modify Task'.

  The following features are implemented:

  - `URL`
  - `Modifications`
  - `Encoding`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `encoding` The cached value of the '`Encoding`' attribute.
    `protected static String` | `ENCODING_EDEFAULT` The default value of the '`Encoding`' attribute.
    `protected EList<TextModification>` | `modifications` The cached value of the '`Modifications`' containment reference list.
    `protected String` | `uRL` The cached value of the '`URL`' attribute.
    `protected static String` | `URL_EDEFAULT` The default value of the '`URL`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextModifyTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getEncoding()`
    `EList<TextModification>` | `getModifications()`
    `String` | `getURL()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setEncoding(String newEncoding)`
    `void` | `setURL(String newURL)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `consolidate, createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, overrideFor, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### URL_EDEFAULT

          protected static final String URL_EDEFAULT

      The default value of the '`URL`' attribute.
      See Also:
        `getURL()`
      Generated
      Ordered

    - #### uRL

          protected String uRL

      The cached value of the '`URL`' attribute.
      See Also:
        `getURL()`
      Generated
      Ordered

    - #### modifications

          protected EList<TextModification> modifications

      The cached value of the '`Modifications`' containment reference list.
      See Also:
        `getModifications()`
      Generated
      Ordered

    - #### ENCODING_EDEFAULT

          protected static final String ENCODING_EDEFAULT

      The default value of the '`Encoding`' attribute.
      See Also:
        `getEncoding()`
      Generated
      Ordered

    - #### encoding

          protected String encoding

      The cached value of the '`Encoding`' attribute.
      See Also:
        `getEncoding()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### TextModifyTaskImpl

          protected TextModifyTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getURL

          public String getURL()

      Specified by:
        `getURL` in interface `TextModifyTask`
      Returns:
        the value of the 'URL' attribute.
      See Also:
        `TextModifyTask.setURL(String)`, `SetupPackage.getTextModifyTask_URL()`
      Generated

    - #### setURL

          public void setURL(String newURL)

      Specified by:
        `setURL` in interface `TextModifyTask`
      Parameters:
        `newURL` - the new value of the 'URL' attribute.
      See Also:
        `TextModifyTask.getURL()`
      Generated

    - #### getModifications

          public EList<TextModification> getModifications()

      Specified by:
        `getModifications` in interface `TextModifyTask`
      Returns:
        the value of the 'Modifications' containment reference list.
      See Also:
        `SetupPackage.getTextModifyTask_Modifications()`
      Generated

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `TextModifyTask`
      Returns:
        the value of the 'Encoding' attribute.
      See Also:
        `TextModifyTask.setEncoding(String)`, `SetupPackage.getTextModifyTask_Encoding()`
      Generated

    - #### setEncoding

          public void setEncoding(String newEncoding)

      Specified by:
        `setEncoding` in interface `TextModifyTask`
      Parameters:
        `newEncoding` - the new value of the 'Encoding' attribute.
      See Also:
        `TextModifyTask.getEncoding()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html